Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.temporal
Interface TemporalCoordinateSystem

All Superinterfaces:
  IdentifiedObject, ReferenceSystem, TemporalReferenceSystem

    @UML(identifier="TM_CoordinateSystem",
         specification=ISO_19108)
    public interface TemporalCoordinateSystem

extends TemporalReferenceSystem

A temporal coordinate system to simplify the computation of temporal distances between points and the functional description of temporal operations.

TODO:
  Retrofit in `TimeCS`.

Field Summary

Fields inherited from interface ReferenceSystem
`DOMAIN_OF_VALIDITY_KEY, SCOPE_KEY, VALID_AREA_KEY`

Fields inherited from interface IdentifiedObject
`ALIAS_KEY, IDENTIFIERS_KEY, NAME_KEY, REMARKS_KEY`

Method Summary
`InternationalString` | `getInterval()` Identifies the base interval for this temporal coordinate system as a unit of measure specified by ISO 31-1, or a multiple of one of those units, as specified by ISO 1000.
`Date` | `getOrigin()` Position of the origin of the scale on which the temporal coordinate system is based expressed as a date in the Gregorian calendar and time of day in UTC.
`Date` | `transformCoord(TemporalCoordinate coordinates)` Transforms a value of a coordinate within this temporal coordinate system and returns the equivalent date and time in the Gregorian Calendar and UTC
`TemporalCoordinate` | `transformDateTime(Date datetime)` Transforms a date and time in the Gregorian Calendar and UTC to an equivalent coordinate within this temporal coordinate system.

Methods inherited from interface TemporalReferenceSystem
`getDomainOfValidity, getName`

Methods inherited from interface ReferenceSystem
`getScope, getValidArea`

Methods inherited from interface IdentifiedObject
`getAlias, getIdentifiers, getRemarks, toWKT`

Method Detail

### getOrigin

    @UML(identifier="origin",
         obligation=MANDATORY,
         specification=ISO_19108)
    Date getOrigin()

  Position of the origin of the scale on which the temporal coordinate system is based expressed as a date in the Gregorian calendar and time of day in UTC.

### getInterval

    @UML(identifier="interval",
         obligation=MANDATORY,
         specification=ISO_19108)
    InternationalString getInterval()

  Identifies the base interval for this temporal coordinate system as a unit of measure specified by ISO 31-1, or a multiple of one of those units, as specified by ISO 1000.

### transformCoord

    @UML(identifier="transformCoord",
         obligation=MANDATORY,
         specification=ISO_19108)
    Date transformCoord(TemporalCoordinate coordinates)

  Transforms a value of a coordinate within this temporal coordinate system and returns the equivalent date and time in the Gregorian Calendar and UTC

### transformDateTime

    @UML(identifier="transformDateTime",
         obligation=MANDATORY,
         specification=ISO_19108)
    TemporalCoordinate transformDateTime(Date datetime)

  Transforms a date and time in the Gregorian Calendar and UTC to an equivalent coordinate within this temporal coordinate system.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.